#!/usr/bin/env python3

import os


class Command:
    def __init__(self, name, script):
        self.name = name
        self.script = script

        self.config = Config(self.name)


    def create(self):
        """Writes a file in your path. Can be changed through self.path"""
        f = open(self.config.path, "w")

        f.write(f"""#!/bin/bash

# This file was auto-generated by Jason

cd {os.path.realpath(os.path.dirname(self.script))}
chmod +x {os.path.basename(self.script)}
./{os.path.basename(self.script)} $@""")

        os.chmod(self.config.path, 0o755)
        f.close()

    def remove(self):
        """Removes the file in self.path that you created."""
        os.remove(self.config.path)


class Config:
    def __init__(self, name):
        self.name = name
        self.path = f"/usr/local/bin/{self.name}" # Default path
